Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class XSLTProcess

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.XSLTProcess

public class XSLTProcess
extends MatchingTask

A Task to process via XSLT a set of XML documents. This is useful for building views of XML based documentation. arguments:

- basedir
- destdir
- style
- includes
- excludes

Of these arguments, the sourcedir and destdir are required.

This task will recursively scan the sourcedir and destdir looking for XML documents to process via XSLT. Any other files, such as images, or html files in the source directory will be copied into the destination directory.

Version:
  $Revision: 1.13 $ $Date: 2001/01/11 09:12:44 $
Author:
  Keith Visco, Sam Ruby, Russell Gold

Inner Class Summary
`class` | `XSLTProcess.Param`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`XSLTProcess()` Creates a new XSLTProcess Task.

Method Summary
`XSLTProcess.Param` | `createParam()`
`void` | `execute()` Executes the task.
`void` | `setBasedir(java.io.File dir)` Set the base directory.
`void` | `setDestdir(java.io.File dir)` Set the destination directory into which the XSL result files should be copied to
`void` | `setExtension(java.lang.String name)` Set the desired file extension to be used for the target
`void` | `setIn(java.io.File inFile)` Sets an input xml file to be styled
`void` | `setOut(java.io.File outFile)` Sets an out file
`void` | `setProcessor(java.lang.String processor)` Sets the file to use for styling relative to the base directory.
`void` | `setStyle(java.lang.String xslFile)` Sets the file to use for styling relative to the base directory.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTProcess

    public XSLTProcess()

  Creates a new XSLTProcess Task.

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setBasedir

    public void setBasedir(java.io.File dir)

  Set the base directory.

### setDestdir

    public void setDestdir(java.io.File dir)

  Set the destination directory into which the XSL result files should be copied to
  Parameters:
    `dirName` - the name of the destination directory

### setExtension

    public void setExtension(java.lang.String name)

  Set the desired file extension to be used for the target
  Parameters:
    `name` - the extension to use

### setStyle

    public void setStyle(java.lang.String xslFile)

  Sets the file to use for styling relative to the base directory.

### setProcessor

    public void setProcessor(java.lang.String processor)
                      throws java.lang.Exception

  Sets the file to use for styling relative to the base directory.

### setOut

    public void setOut(java.io.File outFile)

  Sets an out file

### setIn

    public void setIn(java.io.File inFile)

  Sets an input xml file to be styled

### createParam

    public XSLTProcess.Param createParam()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.